<%@page import="java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

	<HTML>
	

<!-- Calendarios -->
	

<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<%
		String matricula=request.getParameter("Matricula");
		      if (matricula==null || matricula.equals("NULL")){
		          matricula="";

		      }
		%>
		
        <%	 String mensaje=request.getParameter("Mensaje");
		     mensaje = mensaje == null ? "":mensaje;
			PrintWriter outMsg1= response.getWriter();
             if (mensaje.equals(m05bConstantes.MSG_OK)) {
                 outMsg1.println("<script>alert(dameAlerta(idioma, 3));</script>");
             } 
			outMsg1.close();
	   %>		
		
			  <% m05bFileLog miLog = new m05bFileLog(); %>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>

		<title><%= resTit.getString("titVehTasas")%></title>
		<SCRIPT language="JavaScript">
		function fncNuevo() {
		       		formTasas.action="m05bTasasJsp.jsp?Codigo=&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
		       		formTasas.submit();
			}
		function fncModificar(codigo) {
		            formTasas.action="m05bGenerarTasasServlet?Codigo=" + codigo + "&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
		            formTasas.submit();
		    }
		</SCRIPT>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_TASAS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_TASAS%>";	 	 
</script>			

<%@include file="m05bVehiculosFijo.inc"%>			
<%int contador=0;%>    
			
			
<FORM NAME="formTasas" METHOD="POST">

	
		<%
		StringBuffer sql = new StringBuffer();
		String Cod="";
		String Concepto="";
		String Importe="";
		String Municipio="";
		String Fecha="";
		String Comentario="";
		String sCV1="0";
		String sCVTemp="";


		//m05bComun comun = new m05bComun();



		sql.append("SELECT ").append(m05bConstantes.COL_32_IMPORTE).append(",");
		sql.append(m05bConstantes.COL_32_FECHA).append(",").append(m05bConstantes.COL_32_OBSERV);
		sql.append(",");
		sql.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+") as ");
		sql.append(campoTexto+m05bConstantes.COL_99_DESCRIPCION).append(",");
		sql.append(m05bConstantes.COL_24_DESC).append(",").append(m05bConstantes.COL_32_CODIGO).append(",").append(m05bConstantes.COL_34_CV);
		sql.append(" FROM ").append(m05bConstantes.TAB_TASAS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES);
		sql.append(",").append(m05bConstantes.TAB_POBLACIONES).append(",").append(m05bConstantes.TAB_VEHICULOS);
		sql.append(" WHERE ").append(m05bConstantes.COL_32_MATRICULA);
		sql.append("='").append(matricula).append("'").append(" AND ");
	    sql.append(m05bConstantes.COL_32_MATRICULA);
		sql.append("=").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");		
		sql.append(m05bConstantes.COL_99_CODTABLA).append("(+)='").append(m05bConstantes.DESC_CONCEPTOSTASAS);
		sql.append("'  AND ").append(m05bConstantes.COL_32_CONCEPTO).append("=").append(m05bConstantes.COL_99_CODDESC);
		sql.append("(+) AND ").append(m05bConstantes.COL_32_MUNICIPIO).append("=").append(m05bConstantes.COL_24_CODIGO).append("(+)");

         miLog.addTraza("BEGO" , "m05bTasas" , "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);

		%>
    <% if ((!(situacion.equals("B"))) && (sExisteMatricula.equals("1"))  ) {%>
		
  	     <TABLE class="general">
    	    <tr>
	         <!--td align=right> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/> </td-->
	         <td align=right> <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_NUEVO")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  
	    	</tr>
        </TABLE>
    <%}%>
		  <TABLE class="general">
		    <tr>
		      <td width="5%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCaballosFiscales")%></td>    
		       <td width="95%"></td>	 
		    </tr>
		    <tr>
		      <td width="5%" align="left"> <INPUT readonly class="inputField" style="border:0"  TYPE="TEXT" NAME="CVFiscalesVeh"> </td>	
		      <td width="95%"></td>	      
		     </tr>
		   </TABLE>
		  <TABLE class="general">
		    <tr>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCInterno")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etConcepto")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etMunicipio")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etObservacion")%></td>
		    </tr>
		    <%
		        try {
		           if (!matricula.equals("")){
		           //m05bbBeginSelect(sql.toString());
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		           
       	  	      pstmt2 = conexion.prepareStatement(sql.toString());
		          rs2 = pstmt2.executeQuery();
		           //m05bRS = m05bPStmt.executeQuery();
		           while (rs2.next() == true){
                       contador=contador +1;
		               Cod=rs2.getString(m05bConstantes.COL_32_CODIGO);
		               Concepto=rs2.getString(campoTexto+m05bConstantes.COL_99_DESCRIPCION);
		               if (Concepto==null)
		                   Concepto="";
		               
		               Importe=rs2.getString(m05bConstantes.COL_32_IMPORTE);
		               if ((Importe==null)||Importe.equals("0"))
		                   Importe="";
		               Comentario=rs2.getString(m05bConstantes.COL_32_OBSERV);
		               if (Comentario==null)
		                   Comentario="";
		               else
		               	   Comentario.toUpperCase();
		               Municipio=rs2.getString(m05bConstantes.COL_24_DESC);
		               if (Municipio==null)
		                   Municipio="";
		               Fecha=rs2.getString(m05bConstantes.COL_32_FECHA);
		               if (Fecha==null || Fecha.equals(""))
		                   Fecha="";
		               else
		                   Fecha=comun.Mes(Fecha,campoTexto3);
		               sCVTemp=rs2.getString(m05bConstantes.COL_34_CV);
		               if ((sCVTemp!=null)&&(!(sCVTemp.equals("")))){
		                   sCV1=sCVTemp;	}	   	                   		                   

		           %>

		   <tr>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Cod%>')"><%=Cod%></A></td>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Concepto%></td>
		      
              <input type="hidden" name=<%="Importe"+contador%> value="<%=Importe%>">
      <script>
          formatNumeroDecimal(document.formTasas.<%="Importe"+contador%>,4,2);
      </script>	

              <td valign="top" style="text-align: right"  class="inputFieldTitleBlank"><script> document.write(document.formTasas.<%="Importe"+contador%>.value);</script> </td>		      			  
              	  
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Fecha%></td>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Municipio%></td>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Comentario%></td>
		    </tr>
		           <%}%>
		   <script>
    		   document.formTasas.CVFiscalesVeh.value="<%=sCV1%>";
              formatNumeroDecimal(document.formTasas.CVFiscalesVeh,4,2);
            </script>	       
		    <%}
		  } catch (Exception SQLException){
			   miLog.addTraza(SQLException);
		  } finally {
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		  }
		    %>
		  </TABLE>
		  	<TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
			 	</tr>
			  </TABLE>
</FORM>
		</td>
	</tr>
	<tr>
							
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabTasa=document.getElementById("tabTasa");
   
   tabTasa.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>